package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumSendWay {

    // 1、标签短信 2：精准发券
    TAG(1,"标签短信"),
    COUPON(2, "精准发券")
    ;

    public static EnumSendWay getEnum(Integer code) {
        for (EnumSendWay value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumSendWay(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
